<?php

/* DCMS Special
 * Дата последнего редактирования 25.09.2016
 * Модифицировал densnet
 */

only_reg();

$post = mysql_fetch_array(mysql_query("SELECT * FROM `news_komm` WHERE `id` = '" . intval($_GET['edit_komm']) . "' LIMIT 1"));
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `news_komm` WHERE `id` = '$post[id]'"), 0) == 0) {
    header("Location:?");
    exit;
}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `news` WHERE `id` = '$post[id_news]'"), 0) == 0) {
    header("Location:?");
    exit;
}
$news = mysql_fetch_array(mysql_query("SELECT * FROM `news` WHERE `id` = '$post[id_news]' LIMIT 1"));

$set['title'] = lang('Новости') . ' "' . htmlspecialchars($news['title']) . '" - ' . lang('редактирование комментария');

require_once H . 'sys/inc/thead.php';

if (!isset($user)) {
    header("Location:?news=$news[id]");
}

if (isset($user) && $user['level'] > 2 || $user['id'] == $post['id_user'] && $post['time'] > time() - 600) {

    if (isset($_GET['ok']) && isset($_POST['msg'])) {

        $msg = esc(stripcslashes(htmlspecialchars($_POST['msg'])));

        if (utf8_strlen($msg) < 1) {
            $err = lang('Слишком короткое сообщение');
        }

        if (utf8_strlen($msg) > 10024) {
            $err = lang('Слишком длинное сообщение');
        }

        $msg = mysql_real_escape_string($msg);

        if (!isset($err)) {
            mysql_query("UPDATE `news_komm` SET `msg` = '$msg' WHERE `id` = '$post[id]' LIMIT 1");
            $_SESSION['message'] = lang('Изменения сохранены');
            header("Location: ?news=$news[id]");
        }
    }

    err();

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/modules/news/'>" . lang('Новости') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/modules/news/?news=$news[id]'>" . cutStr($news['title'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/modules/news/?news=$news[id]'>" . cutStr($post['msg'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Редактирование');
    echo "</small></div><br />";

    echo "<form class='list-group-item-null' name='msg_edit' method='POST' action='?edit_komm=$post[id]&amp;ok'>";
    echo auto_bb("msg_edit", "msg");
    echo "<textarea name='msg' maxlength='10024' length='10024' class='form-control'>$post[msg]</textarea><br />";
    $doc->Button('btn btn-success btn-sm', null, 'save', 'Сохранить');

    echo "</form>";
} else {
    header("Location: ?news=$news[id]");
}

require_once H . 'sys/inc/tfoot.php';
